#ifndef FACTORACTORWIDGET_H
#define FACTORACTORWIDGET_H

#include <QWidget>
#include "../../actors/factoractor.h"

namespace Ui {
class FactorActorWidget;
}

class FactorActorWidget : public QWidget
{
    Q_OBJECT

    MultiFactorActor* actor_;

public:
    explicit FactorActorWidget(MultiFactorActor* actor, QWidget *parent = nullptr);
    ~FactorActorWidget();

private slots:
    void createFactorActor();
    void setDirection(const QString& direction);
    void setPreCancleTime(int time);

private:
    Ui::FactorActorWidget *ui;
};

#endif // FACTORACTORWIDGET_H
