#include "timeractorwidget.h"
#include "ui_timeractorwidget.h"

#include <QSpinBox>

TimerActorWidget::TimerActorWidget(TimerActor* actor, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::TimerActorWidget)
{
    ui->setupUi(this);

    ui->spinBox->setValue(actor->getTimeout());

    connect(ui->spinBox, SIGNAL(valueChanged(int)), actor, SLOT(setTimeout(int)));
}

TimerActorWidget::~TimerActorWidget()
{
    delete ui;
}
