#ifndef ALARMWIDGET_H
#define ALARMWIDGET_H

#include <QWidget>
#include "../../actors/alarmtime.h"

namespace Ui {
class AlarmWidget;
}

class AlarmWidget : public QWidget
{
    Q_OBJECT

    AlarmTime* alarm_;

public:
    explicit AlarmWidget(AlarmTime* alarm, QWidget *parent = nullptr);
    ~AlarmWidget();

private slots:
    void toggleRepeating(int state);
    void setRepeatingType();

private:
    Ui::AlarmWidget *ui;
};

#endif // ALARMWIDGET_H
