#ifndef RELAYSETTINGSDIALOG_H
#define RELAYSETTINGSDIALOG_H

#include <QDialog>
#include <QSettings>
#include "../items/relay.h"

namespace Ui {
class ItemSettingsDialog;
}

class ItemSettingsDialog : public QDialog
{
    Q_OBJECT
    Item* item_;

private:
    void loadActorList();

public:
    explicit ItemSettingsDialog(Item* item, QWidget *parent = nullptr);
    ~ItemSettingsDialog();

private slots:

    void removeActor();
    void addActor();
    void editActor();

private:
    Ui::ItemSettingsDialog *ui;
};

#endif // RELAYSETTINGSDIALOG_H
